# Review at https://bugzilla.redhat.com/show_bug.cgi?id=630184

%global git_snapshot 1
%global git_rev 3a0fd02db2b3a673fa96f1383fb6a0d312e338ea
%global git_date 20110714

%if 0%{?git_snapshot}
%global git_short %(echo %{git_rev} | cut -c-8)
%global git_version %{git_date}git%{git_short}
%endif

# Source0 was generated as follows:
# git clone git://lxde.git.sourceforge.net/gitroot/lxde/lxappearance-obconf
# cd lxappearance-obconf
# git archive --format=tar --prefix=lxappearance-obconf/ %{git_short} | bzip2 > lxappearance-obconf-%{?git_version}.tar.bz2

Name:           lxappearance-obconf
Version:        0.1.0
Release:        0.1%{?git_snapshot:.%{?git_version}}%{?dist}
Summary:        Plugin to configure Openbox inside LXAppearance

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
%if 0%{?git_snapshot}
Source0:        %{name}-%{?git_version}.tar.bz2
%else
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  openbox-devel
BuildRequires:  lxappearance-devel
BuildRequires:  libSM-devel
BuildRequires:  gettext
BuildRequires:  intltool
%{?git_snapshot:BuildRequires: libtool}
Requires:       lxappearance >= 0.5.0
Requires:       openbox

%description
This plugin adds an additional tab called "Window Border" to LXAppearance.
It is only visible when the plugin is installed and Openbox is in use.

%prep
%setup -q %{?git_snapshot:-n %{name}}
# dirty hack for outdated/changing LINGUAS file
cd po
ls *.po | sed 's/.po//g' | sort > LINGUAS

%build
%{?git_snapshot:sh autogen.sh}
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins/obconf.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME add NEWS and TODO
%doc AUTHORS CHANGELOG COPYING README
%{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf/


%changelog
* Wed Jul 14 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20110714git3a0fd02d
- Update to latest GIT snapshot

* Fri Jan 28 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20110128git710ba0e6
- Update to latest GIT snapshot

* Fri Sep 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100903git1769cdca
- Update to latest GIT snapshot

* Fri Aug 13 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100813git1bf017ee
- initial package
